Announcement

Collapse
No announcement yet.

CIQ 3 Devices???

Collapse
X
  • Time
  • Show
Clear All
new posts

  • CIQ 3 Devices???

    For some reason, even on the official Garmin CIQ site, there is no listing of which devices are CIQ 3 compatible.

    I did find this list...
    https://imgur.com/a/agBv2

    It says the Oregon 700 series and Rino 7 are both CIQ 3. Both do have large screens and the memory footprint for a DF is 124.7kb.

    But when I select minimum SDK ver of 3 in the manifest editor, then those devices are not selectable as build targets.

    Bug in the Eclipse editor, or is the list of CIQ3 devices wrong? Thanks!

  • #2
    The link you posted is a slide from the CIQ Summit when CIQ3 was announced.

    Actually, neither the slide nor Eclipse is wrong. It's just that FW with CIQ3 isn't available for all the devices yet - Some can take a long time.

    Are you doing something CIQ3 specific that would block the Oregon/Rino until they get CIQ3?
    My Connect IQ Apps in the Store
    Facebook - Instagram -
    Twitter

    Comment


    • #3
      Originally posted by jim_m_58 View Post
      The link you posted is a slide from the CIQ Summit when CIQ3 was announced.

      Actually, neither the slide nor Eclipse is wrong. It's just that FW with CIQ3 isn't available for all the devices yet - Some can take a long time.

      Are you doing something CIQ3 specific that would block the Oregon/Rino until they get CIQ3?

      I do some background processing to capture temperature sensor data. I was doing some clever logic to get lastTime and nextTime, in order to optimize the scheduling of the next event. For some reason, lastTime works in 2.4, but nextTime requries 3.0. I was able to remove the nextTime logic and it works fine now.....

      nextTime = Background.getTemporalEventRegisteredTime();

      Oh, also, I designed one of my DFs for cycling, and the Oregon 700 fails due to lack of support for these. But that is fine, I just removed Oregon from my build targets for that DF.

      var myPwr = AntPlus.BikePower.getPedalPowerBalance();
      var myPedals = AntPlus.BikePower.getTorqueEffectivenessPedalSmoothness();

      Comment


      • #4
        getTemporalEventRegistedTime is "since 3.0.0", so you'd have to find an alternative way to do things, and with some of the AntPlus things, you are restricted to certain device/families.

        I noticed you published a new version just today - don't forget the edge 1000 is staying on CIQ2 if this is the same DF.
        My Connect IQ Apps in the Store
        Facebook - Instagram -
        Twitter

        Comment


        • #5
          Originally posted by jim_m_58 View Post
          getTemporalEventRegistedTime is "since 3.0.0", so you'd have to find an alternative way to do things, and with some of the AntPlus things, you are restricted to certain device/families.

          I noticed you published a new version just today - don't forget the edge 1000 is staying on CIQ2 if this is the same DF.
          Thanks! Turns out that nextTime variable wasn't even needed. So now I can support the 520 and 1000 devices as well. Even with barrels and background processing, as long as they are CIQ 2.4 or later. COOL!

          Not sure why my full size JPG attachments are coming across so small. Sorry.
          BGtimer.JPG
          Last edited by DaveBrillhart; 10-14-2018, 08:04 AM.

          Comment

          Working...
          X